org.apache.jasper.compiler

## Class ServletWriter

- java.lang.Object
- - org.apache.jasper.compiler.ServletWriter

- All Implemented Interfaces:
    AutoCloseable

      public class ServletWriter
      extends Object
      implements AutoCloseable

  This is what is used to generate servlets.
  Author:
    Anil K. Vijendran, Kin-man Chung

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletWriter(PrintWriter writer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getJavaLine()`
    `void` | `popIndent()`
    `void` | `print(char c)` Prints the given char.
    `void` | `print(int i)` Prints the given int.
    `void` | `print(String s)` Prints the given string.
    `void` | `printil(String s)` Prints the current indention, and then the string, and a '\n'.
    `void` | `printin()` Prints the current indention
    `void` | `printin(String s)` Prints the current indention, followed by the given string
    `void` | `println()` Prints a '\n'
    `void` | `println(String s)` Prints the given string followed by '\n'
    `void` | `printMultiLn(String s)` Prints the given string.
    `void` | `pushIndent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletWriter

          public ServletWriter(PrintWriter writer)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

    - #### getJavaLine

          public int getJavaLine()

    - #### pushIndent

          public void pushIndent()

    - #### popIndent

          public void popIndent()

    - #### println

          public void println(String s)

      Prints the given string followed by '\n'
      Parameters:
        `s` - The string

    - #### println

          public void println()

      Prints a '\n'

    - #### printin

          public void printin()

      Prints the current indention

    - #### printin

          public void printin(String s)

      Prints the current indention, followed by the given string
      Parameters:
        `s` - The string

    - #### printil

          public void printil(String s)

      Prints the current indention, and then the string, and a '\n'.
      Parameters:
        `s` - The string

    - #### print

          public void print(char c)

      Prints the given char. Use println() to print a '\n'.
      Parameters:
        `c` - The char

    - #### print

          public void print(int i)

      Prints the given int.
      Parameters:
        `i` - The int

    - #### print

          public void print(String s)

      Prints the given string. The string must not contain any '\n', otherwise the line count will be off.
      Parameters:
        `s` - The string

    - #### printMultiLn

          public void printMultiLn(String s)

      Prints the given string. If the string spans multiple lines, the line count will be adjusted accordingly.
      Parameters:
        `s` - The string

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.